<?php

# определение заголовка
$title = (USER['status'] != 'guest') ? 'Нет доступа' : 'Сохранение'; define('TITLE', $title);

# доступ запрещен, вывод ajax запроса
if (USER['status'] != 'guest' && $FUNC->ajax()) { ob_start('ob_gzhandler'); // буферизация данных
require_once MODS .'error/page.php'; $buffer = ob_get_clean(); // шаблон ошибки, чтение данных из буфера
$body = array('title' => TITLE, 'body' => $buffer); echo json_encode($body); exit; } // преобразование в json, отправка к клиенту

# доступ запрещен, вывод обычного запроса
elseif (USER['status'] != 'guest') { require_once MODS .'error/page.php'; exit; }

?>